/*
 * DrvFlash.h
 *
 *  Created on: 2011/12/5
 *      Author: Eric.Lai
 */

#ifndef DRVFLASH_H_
#define DRVFLASH_H_

#ifndef E_FAIL
#define E_FAIL		1
#endif

#ifndef E_SUCCESS
#define E_SUCCESS		0
#endif
#define  FLASH_KEY_A      0x4B6579A8

int ROM_BurnPage(unsigned int key,unsigned int addr,unsigned int DelayTime,unsigned int *data);
int ReadWord(unsigned int addr);  
int ReadPage(unsigned int addr,unsigned int *data);  
int PageErase(unsigned int key, unsigned int addr, unsigned int DelayTime);
int SectorErase(unsigned int key, unsigned int addr, unsigned int DelayTime);
int DrvFlash_Burn_Word (unsigned int u32addr,

                       unsigned int u32DelayTime,

                       unsigned int u32data);
#endif /* DRVFLASH_H_ */
